-module(n2o_pickle).
-include_lib("n4u/include/n4u.hrl").
-export([pickle/1, depickle/1]).

pickle(Data) -> base64:encode(term_to_binary({Data, os:timestamp()}, [compressed])).
depickle(PickledData) ->
    try {Data, _PickleTime} = binary_to_term(base64:decode(wf:to_binary(PickledData))), Data
    catch _:_ -> undefined end.
